Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::MemInfo< T > Struct Template Reference

`#include <GPUMemInfo.h>`

## Public Member Functions

double | num_transactions () const
void | add_access_info (double num_requests, double num_transactions_per_request, double num_bytes_used_per_request)
void | add (const MemInfo< T > &other)
double | efficiency () const

## Static Public Attributes

static constexpr double | bytes_per_transaction = MemTraits<T>::bytes_per_transaction

## Detailed Description

template<typename T>
struct Halide::Internal::Autoscheduler::MemInfo< T >

Definition at line 55 of file GPUMemInfo.h.

## Member Function Documentation

## num_transactions()

template<typename T>

double Halide::Internal::Autoscheduler::MemInfo< T >::num_transactions | ( |  | ) | const

inline

Definition at line 58 of file GPUMemInfo.h.

## add_access_info()

template<typename T>

void Halide::Internal::Autoscheduler::MemInfo< T >::add_access_info | ( | double | num_requests,
|  | double | num_transactions_per_request,
|  | double | num_bytes_used_per_request )

inline

Definition at line 62 of file GPUMemInfo.h.

Referenced by Halide::Internal::Autoscheduler::GlobalAccessAccumulator::add_access_info(), Halide::Internal::Autoscheduler::LocalAccessAccumulator::add_access_info(), and Halide::Internal::Autoscheduler::SharedAccessAccumulator::add_access_info().

## add()

template<typename T>

void Halide::Internal::Autoscheduler::MemInfo< T >::add | ( | const MemInfo< T > & | other | ) |

inline

Definition at line 79 of file GPUMemInfo.h.

## efficiency()

template<typename T>

double Halide::Internal::Autoscheduler::MemInfo< T >::efficiency | ( |  | ) | const

inline

Definition at line 85 of file GPUMemInfo.h.

## Member Data Documentation

## bytes_per_transaction

template<typename T>

double Halide::Internal::Autoscheduler::MemInfo< T >::bytes_per_transaction = MemTraits<T>::bytes_per_transaction

static constexpr

Definition at line 56 of file GPUMemInfo.h.

Referenced by Halide::Internal::Autoscheduler::LocalAccessAccumulator::add_access_info().

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/GPUMemInfo.h